## EShellSearchbar

EShellSearchbar — quick search interface

## Synopsis

    #include <shell/e-shell-searchbar.h>

                        EShellSearchbar;
    GtkWidget *         e_shell_searchbar_new               (EShellView *shell_view);
    EShellView *        e_shell_searchbar_get_shell_view    (EShellSearchbar *searchbar);
    gboolean            e_shell_searchbar_get_express_mode  (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_express_mode  (EShellSearchbar *searchbar,
                                                             gboolean express_mode);
    EActionComboBox *   e_shell_searchbar_get_filter_combo_box
                                                            (EShellSearchbar *searchbar);
    gboolean            e_shell_searchbar_get_filter_visible
                                                            (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_filter_visible
                                                            (EShellSearchbar *searchbar,
                                                             gboolean filter_visible);
    gboolean            e_shell_searchbar_get_labels_visible
                                                            (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_labels_visible
                                                            (EShellSearchbar *searchbar,
                                                             gboolean labels_visible);
    const gchar *       e_shell_searchbar_get_search_hint   (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_search_hint   (EShellSearchbar *searchbar,
                                                             const gchar *search_hint);
    GtkRadioAction *    e_shell_searchbar_get_search_option (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_search_option (EShellSearchbar *searchbar,
                                                             GtkRadioAction *search_option);
    const gchar *       e_shell_searchbar_get_search_text   (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_search_text   (EShellSearchbar *searchbar,
                                                             const gchar *search_text);
    gboolean            e_shell_searchbar_get_search_visible
                                                            (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_search_visible
                                                            (EShellSearchbar *searchbar,
                                                             gboolean search_visible);
    EActionComboBox *   e_shell_searchbar_get_scope_combo_box
                                                            (EShellSearchbar *searchbar);
    gboolean            e_shell_searchbar_get_scope_visible (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_scope_visible (EShellSearchbar *searchbar,
                                                             gboolean scope_visible);
    void                e_shell_searchbar_set_state_dirty   (EShellSearchbar *searchbar);
    const gchar *       e_shell_searchbar_get_state_group   (EShellSearchbar *searchbar);
    void                e_shell_searchbar_set_state_group   (EShellSearchbar *searchbar,
                                                             const gchar *state_group);
    void                e_shell_searchbar_load_state        (EShellSearchbar *searchbar);
    void                e_shell_searchbar_save_state        (EShellSearchbar *searchbar);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----EShellSearchbar

## Implemented Interfaces

EShellSearchbar implements AtkImplementorIface, GtkBuildable, GtkOrientable and EExtensible.

## Properties

      "express-mode"             gboolean              : Read / Write / Construct
      "filter-combo-box"         EActionComboBox*      : Read
      "filter-visible"           gboolean              : Read / Write / Construct
      "labels-visible"           gboolean              : Read / Write / Construct
      "scope-combo-box"          EActionComboBox*      : Read
      "scope-visible"            gboolean              : Read / Write / Construct
      "search-hint"              gchar*                : Read / Write
      "search-option"            GtkRadioAction*       : Read / Write
      "search-text"              gchar*                : Read / Write
      "search-visible"           gboolean              : Read / Write / Construct
      "shell-view"               EShellView*           : Read / Write / Construct Only
      "state-group"              gchar*                : Read / Write / Construct

## Description

## Details

### EShellSearchbar

    typedef struct _EShellSearchbar EShellSearchbar;

Contains only private data that should be read and manipulated using the functions below.

### e_shell_searchbar_new ()

    GtkWidget *         e_shell_searchbar_new               (EShellView *shell_view);

Creates a new EShellSearchbar instance.

`shell_view` : | an EShellView
Returns : | a new EShellSearchbar instance

### e_shell_searchbar_get_shell_view ()

    EShellView *        e_shell_searchbar_get_shell_view    (EShellSearchbar *searchbar);

Returns the EShellView that was passed to `e_shell_searchbar_new()`.

`searchbar` : | an EShellSearchbar
Returns : | the EShellView to which `searchbar` belongs

### e_shell_searchbar_get_express_mode ()

    gboolean            e_shell_searchbar_get_express_mode  (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_express_mode ()

    void                e_shell_searchbar_set_express_mode  (EShellSearchbar *searchbar,
                                                             gboolean express_mode);

`searchbar` : |
`express_mode` : |

### e_shell_searchbar_get_filter_combo_box ()

    EActionComboBox *   e_shell_searchbar_get_filter_combo_box
                                                            (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_get_filter_visible ()

    gboolean            e_shell_searchbar_get_filter_visible
                                                            (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_filter_visible ()

    void                e_shell_searchbar_set_filter_visible
                                                            (EShellSearchbar *searchbar,
                                                             gboolean filter_visible);

`searchbar` : |
`filter_visible` : |

### e_shell_searchbar_get_labels_visible ()

    gboolean            e_shell_searchbar_get_labels_visible
                                                            (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_labels_visible ()

    void                e_shell_searchbar_set_labels_visible
                                                            (EShellSearchbar *searchbar,
                                                             gboolean labels_visible);

`searchbar` : |
`labels_visible` : |

### e_shell_searchbar_get_search_hint ()

    const gchar *       e_shell_searchbar_get_search_hint   (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_search_hint ()

    void                e_shell_searchbar_set_search_hint   (EShellSearchbar *searchbar,
                                                             const gchar *search_hint);

`searchbar` : |
`search_hint` : |

### e_shell_searchbar_get_search_option ()

    GtkRadioAction *    e_shell_searchbar_get_search_option (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_search_option ()

    void                e_shell_searchbar_set_search_option (EShellSearchbar *searchbar,
                                                             GtkRadioAction *search_option);

`searchbar` : |
`search_option` : |

### e_shell_searchbar_get_search_text ()

    const gchar *       e_shell_searchbar_get_search_text   (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_search_text ()

    void                e_shell_searchbar_set_search_text   (EShellSearchbar *searchbar,
                                                             const gchar *search_text);

`searchbar` : |
`search_text` : |

### e_shell_searchbar_get_search_visible ()

    gboolean            e_shell_searchbar_get_search_visible
                                                            (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_search_visible ()

    void                e_shell_searchbar_set_search_visible
                                                            (EShellSearchbar *searchbar,
                                                             gboolean search_visible);

`searchbar` : |
`search_visible` : |

### e_shell_searchbar_get_scope_combo_box ()

    EActionComboBox *   e_shell_searchbar_get_scope_combo_box
                                                            (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_get_scope_visible ()

    gboolean            e_shell_searchbar_get_scope_visible (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_scope_visible ()

    void                e_shell_searchbar_set_scope_visible (EShellSearchbar *searchbar,
                                                             gboolean scope_visible);

`searchbar` : |
`scope_visible` : |

### e_shell_searchbar_set_state_dirty ()

    void                e_shell_searchbar_set_state_dirty   (EShellSearchbar *searchbar);

`searchbar` : |

### e_shell_searchbar_get_state_group ()

    const gchar *       e_shell_searchbar_get_state_group   (EShellSearchbar *searchbar);

`searchbar` : |
Returns : |

### e_shell_searchbar_set_state_group ()

    void                e_shell_searchbar_set_state_group   (EShellSearchbar *searchbar,
                                                             const gchar *state_group);

`searchbar` : |
`state_group` : |

### e_shell_searchbar_load_state ()

    void                e_shell_searchbar_load_state        (EShellSearchbar *searchbar);

`searchbar` : |

### e_shell_searchbar_save_state ()

    void                e_shell_searchbar_save_state        (EShellSearchbar *searchbar);

`searchbar` : |

## Property Details

### The `"express-mode"` property

      "express-mode"             gboolean              : Read / Write / Construct

Default value: FALSE

### The `"filter-combo-box"` property

      "filter-combo-box"         EActionComboBox*      : Read

### The `"filter-visible"` property

      "filter-visible"           gboolean              : Read / Write / Construct

Default value: TRUE

### The `"labels-visible"` property

      "labels-visible"           gboolean              : Read / Write / Construct

Default value: TRUE

### The `"scope-combo-box"` property

      "scope-combo-box"          EActionComboBox*      : Read

### The `"scope-visible"` property

      "scope-visible"            gboolean              : Read / Write / Construct

Default value: FALSE

### The `"search-hint"` property

      "search-hint"              gchar*                : Read / Write

Default value: NULL

### The `"search-option"` property

      "search-option"            GtkRadioAction*       : Read / Write

### The `"search-text"` property

      "search-text"              gchar*                : Read / Write

Default value: NULL

### The `"search-visible"` property

      "search-visible"           gboolean              : Read / Write / Construct

Default value: TRUE

### The `"shell-view"` property

      "shell-view"               EShellView*           : Read / Write / Construct Only

The EShellView to which the searchbar widget belongs.

### The `"state-group"` property

      "state-group"              gchar*                : Read / Write / Construct

Key file group name to read and write search bar state.

Default value: "Search Bar"